// モジュールの設定
var express = require('express');
var path = require('path');
var app = express();

// ルーティングの設定
var index = require('./routes/index');
var regist = require('./routes/regist');
var detail = require('./routes/detail');

// テンプレートエンジンの設定
var ECT = require('ect');
var ectRender = ECT({ watch: true, root: __dirname + "/views", ext:'.ect'});
app.set('views', path.join(__dirname, 'views'));
app.set('view engine', 'ect');
app.engine('ect', ectRender.render);

// Postデータの設定
var bodyParser = require('body-parser');
app.use(bodyParser.json());
app.use(bodyParser.urlencoded({ extended: false }));

// 静的ファイルの設定
app.use(express.static(path.join(__dirname, 'public')));

// HTTPリクエストの設定
app.use('/', index);
app.use('/regist', regist);
app.use('/detail', detail);

// サーバの設定
var server = app.listen(3000, function(){
  var host = server.address().address;
  var port = server.address().port;
  console.log('Example app listening at http://%s:%s', host, port);
});
