var map;
var geocoder;
var eventnames;
var startdates;
var endstates;
var places;
var a = 0;
var currentInfoWindow = null;

$(document).ready(function() {
  initMap();
  getEventJson();
});

function getEventJson(){
  $.getJSON('/eventlist', function(data){
      eventnames = new Array(data.length);
      startdates = new Array(data.length);
      enddates   = new Array(data.length);
      places     = new Array(data.length);
      for(var i=0; i<data.length; i++){
        eventnames[i] = data[i].name;
        startdates[i] = data[i].startdate;
        enddates[i]   = data[i].enddate;
        places[i]     = data[i].place;
      }

      for(var i=0; i<data.length; i++){
        geocoder = new google.maps.Geocoder();
        geocoder.geocode({ 'address':data[i].place, 'region':'ja' }, function(results, status){
          if(status == google.maps.GeocoderStatus.OK){
            setMarkers(a, results);
            a++;
          }
        });
      }
  });
}

function setMarkers(i, results){
    // var geodata = results[0].geometry.location.toUrlValue();
    latlng = new google.maps.LatLng(results[0].geometry.location.lat(),results[0].geometry.location.lng());

    var contentString = '<h3 class="wtitle">' + eventnames[i] + '</h3>'
      + '<p class="witem">' + "日時:" + startdates[i] + '~' + enddates[i] + '</p>'
      + '<p class="witem">' + "場所:" + places[i] + '</p>'
      + '<p class="witem">' + "位置情報:" + results[0].geometry.location.lat() + ',' + results[0].geometry.location.lng() + '</p>'
      + '<button class="wbtn">' + '教えてくれんまいけ' + '</button>'
      + '<button class="wbtn">' + 'いこまいけ' + '</button>';


    var infowindow = new google.maps.InfoWindow({
      content: contentString
    });
    var marker = new google.maps.Marker({
      title: eventnames[i],
      position: latlng
    });
    marker.setMap(map);
    marker.addListener('click', function() {
      if (currentInfoWindow) {
				currentInfoWindow.close();
			}

      infowindow.open(map, marker);
      currentInfoWindow = infowindow;
    });
    console.log(eventnames[i] + "," + latlng);
}

function initMap(){
  map = new google.maps.Map(document.getElementById('map-canvas'), {
    center: {lat: 35.397, lng: 139.44},
    zoom: 6
  });
}
